```
# Analysis-of-Current-Source-Density

% This function computes iCSD Cubic Splines 
% based on methods published in (Pettersen et al., J Neurosci Methods, 2006)
% developed for (Ferro, van Kempen, Boyd, Panzeri, Thiele, PNAS 2021)
%
% List of inputs:
% LFPMat             -> Matrix of LFP recordings (Probe Channels x Time Sequence) [V] 
% cAxis              -> Vector of Probe contact points [m]
% conductance        -> Conductance of the Extracellular Fluid [S/m]
% diameter           -> Diameter of disk around the Probe [m]
% numCSDSpaceSamples -> Number of output samples (Spatial resolution)
% GaussFiltSigma     -> Standard Deviation of the Gaussian Filter
% filtRange          -> Extremity of the Gaussian Filter
% integralTolerance  -> Convergence criteria of the numeric integral approximation
%
% List of outputs:
% iCSDMat            -> Matrix of iCSDs 
% zAxis              -> Vector of CSD surface positions

```

[Demo with synthetic data](https://gin.g-node.org/56Fe/Analysis-of-Current-Source-Density/src/master/demo.m)

![Demo with synthetic data](https://gin.g-node.org/56Fe/Analysis-of-Current-Source-Density/raw/master/PLOT_iCSD.png)

(correspondance contact might not be updated)